{
  pkgs,
  config,
  lib,
  inputs,
  ...
}: {

  imports = [
  ];

  # base system package install list
  environment.systemPackages = with pkgs; [
    wget
    curl
    rsync
    git
    age
    fzf
    neofetch
    usbutils
    pciutils
    python3
    vim
    lf
    btop
    powertop
  ];

  # set timezone
  time.timeZone = "America/Chicago";

  # allow proprietary packages
  nixpkgs.config.allowUnfree = true;

  # enable flakes
  nix.settings.experimental-features = ["nix-command" "flakes"];
  users.defaultUserShell = pkgs.zsh;

}
